Name: suck
Version: 4.2.2
Release: 1
Summary: suck receives/sends news via NNTP
Copyright: Public Domain
Group: Networking/News
Source: http://home.att.net/~bobyetman/%{name}-%{version}.tar.gz
Source1: suck.log
Patch: suck-4.1.2-script.diff
URL: http://home.att.net/~bobyetman/index.html
Provides: news-sucker
Requires: inn >= 2.2
BuildRoot: /tmp/%{name}-%{version}

%description
The primary use for suck is to feed a local INN or CNEWS server, without
the remote NNTP feeding you articles.  It is designed for a small, partial
news feed.  It is NOT designed to feed 10,000 groups and 3 Gigs of articles
a day.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
  ./configure --prefix=$RPM_BUILD_ROOT/usr
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/lib/suck
make install
install -m 644 $RPM_SOURCE_DIR/suck.log \
               $RPM_BUILD_ROOT/etc/logrotate.d/suck
install -m 740 sample/get.news.inn $RPM_BUILD_ROOT/var/lib/suck
install -m 740 sample/put.news $RPM_BUILD_ROOT/var/lib/suck
install -m 644 sample/suckkillfile.sample \
               $RPM_BUILD_ROOT/var/lib/suck/suckkillfile
install -m 644 sample/sucknewsrc.sample \
               $RPM_BUILD_ROOT/var/lib/suck/sucknewsrc

%post 
if [ "$1" = 1 ]; then
  # Create initial log files so that logrotate doesn't complain
  touch /var/log/suck.errlog /var/lib/suck/suck.killlog
  chown news.news /var/log/suck.errlog /var/lib/suck/suck.killlog
  chmod 644 /var/log/suck.errlog /var/lib/suck/suck.killlog
fi

%preun
if [ "$1" = 0 ]; then
  # Remove current killfile log, or rpm -e will complain dir isn't empty
  rm -f /var/lib/suck/suck.killlog*
fi

%postun
if [ "$1" = 0 ]; then
  # Remove suck error logs
  rm -f /var/log/suck.errlog*
  # Remove any old killfile logs rotated to /var/log
  rm -f /var/log/suck.killlog*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc CHANGELOG CONTENTS
%attr(-,root,root) %doc README README.Gui README.Xover sample/
%attr(775,news,news) %dir /var/lib/suck
%attr(-,root,root) %config /etc/logrotate.d/suck
%attr(-,news,news) %config /var/lib/suck/get.news.inn
%attr(-,news,news) %config /var/lib/suck/put.news
%attr(-,news,news) %config /var/lib/suck/suckkillfile
%attr(-,news,news) %config /var/lib/suck/sucknewsrc
%attr(-,root,root) /usr/bin/suck
%attr(-,root,root) /usr/bin/rpost
%attr(-,root,root) /usr/bin/testhost
%attr(-,root,root) /usr/bin/lmove
%attr(-,root,root) /usr/man/man1/suck.1
%attr(-,root,root) /usr/man/man1/rpost.1
%attr(-,root,root) /usr/man/man1/testhost.1
%attr(-,root,root) /usr/man/man1/lmove.1

%changelog
* Thu Jul 29 1999 Anh Vo <anhvo@turbolinux.com>
- [ 4.2.1 ]
- Built for TL

* Sat Sep 26 1998 Scott Stone <sstone@turbolinux.com>
- Built with egcs, glibc
- uses RPM_OPT_FLAGS
- %clean added to .spec, also does pre-clean in %prep
- Fixed summary/description




